## debian-policy 3.8.4.0

=== Makefile ===
include debian/rules

policy.sgml: version.ent
menu-policy.sgml: version.ent
mime-policy.sgml: version.ent

ifneq (,$(strip $(HAVE_ORG_EMACS)))
%.txt: %.org
	$(EMACS) --batch -Q -l ./README-css.el -l org -l org-ascii --visit $^ \
          --funcall org-export-as-ascii >/dev/null 2>&1
	test "$@" != "README.txt"  ||                            \
           perl -pli -e 's,./Process.org,Process.txt,g' $@
%.html: %.org
	$(EMACS) --batch -Q -l ./README-css.el -l org --visit $^ \
          --funcall org-export-as-html-batch >/dev/null 2>&1
endif

%.validate: %
	nsgmls -wall -gues $<

%.html/index.html: %.sgml
	LANG=C debiandoc2html $<

%-1.html: %.sgml
	LANG=C debiandoc2html -1 -b $*-1d $< && \
        mv $*-1d.html/index.html $*-1.html && \
        rmdir $*-1d.html

%.html.tar.gz: %.html/index.html
	tar -czf $(<:/index.html=.tar.gz) $(<:/index.html=)

%.txt: %.sgml
	LANG=C debiandoc2text $<

%.txt.gz: %.txt
	gzip -cf9 $< > $@

%.ps: %.sgml
	LANG=C debiandoc2latexps $<

%.ps.gz: %.ps
	gzip -cf9 $< > $@

%.pdf: %.sgml
	LANG=C debiandoc2latexpdf $<

%.pdf.gz: %.pdf
	gzip -cf9 $< > $@

# convenience aliases :)
html: policy.html/index.html
html-1: policy-1.html
txt text: policy.txt
ps: policy.ps
pdf: policy.pdf
policy: html txt ps pdf

leavealone :=	$(FHS_HTML) $(FHS_FILES) $(FHS_ARCHIVE) \
		libc6-migration.txt \
		upgrading-checklist.html virtual-package-names-list.txt
	      
.PHONY: distclean
distclean:
	rm -rf $(filter-out $(leavealone),$(wildcard *.html))
	rm -f $(filter-out $(leavealone),$(wildcard *.txt *.txt.gz *.html.tar.gz *.pdf *.ps))
	rm -f *.lout* lout.li *.sasp* *.tex *.aux *.toc *.idx *.log *.out *.dvi *.tpt
	rm -f `find . -name "*~" -o -name "*.bak" -o -name ".#*" -o -name core`
	rm -f version.ent
	rm -f *.rej *.orig

# if a rule bombs out, delete the target
.DELETE_ON_ERROR:
# no default suffixes work here, don't waste time on them
.SUFFIXES:

=== debian/changelog ===
debian-policy (3.8.4.0) unstable; urgency=low

  [ Bill Allombert ]
  * Also provide documents in single-file HTML format.
    Proposed by Jari Aalto.
    Closes: #544353
  * Number the DFSG points like in the social_contract document.
    Proposed by Enrico Zini.
    Closes: #550192

  [ Manoj Srivastava ]
  * [b270d2d]: Typo fix: relayed -> related. Thanks to Matt Kraai for
    pointing this out.
  * [c74ac74]: 
    Policy: Grant an FHS exception for the multiarch library directories
    Wording: Steve Langasek.
    Seconded: Aurelien Jarno
    Seconded: Julien Cristau
    Seconded: Kurt Roeckx
    Closes: #542865
  * [7ac3ee6]: 
    virtual package list: Added Doom virtual packages
    Wording: Manoj Srivastava
    Seconded: Russ Allbery 
    Seconded: Giacomo A. Catenazzi
    Closes: #518199
  * [8fd91a0]
    README Process upgrading-checklist: Created/converted to org-mode
    Wording: Manoj Srivastava
    Seconded: Russ Allbery 
    Closes: #545548
  * [4da0692]: [typo-fixes]: 
    policy: Fix a number of grammatical or typographical errors
    wording: Eric Dantan Rzewnicki
    Seconded: Manoj Srivastava
  * [112c4bc]: FHS Exceptions
    policy: Explicitly allow /selinux and /sys as FHS exceptions
    Wording: Manoj Srivastava
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx  <kurt@roeckx.be>
    Closes: #556972
    This patch explicitly allows /sys and /selinux as additional
    directories in the root file system allowed under the policy.
  * [16afbcb]: Clarify ./debian/rules #! line
    policy: Clarify rule for debian/rules shebang line
    Wording: Ben Finney <ben+debian@benfinney.id.au>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Explicitly state that  "make -f debian/rules" and "./debian/rules"
    must behave  identically, to prevent confusion, and to promote
    reproducibility, and conform to the principle of least surprise.
  * [dab93b2]: Add a cron-daemon virtual package
    policy, virtual package list: New virtual package: cron-daemon
    wording: Javier Fernández-Sanguino Peña, Manoj Srivastava
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx  <kurt@roeckx.be>
    Closes: #391836
    Create a virtual cron daemon package that:
     - Has to provide /usr/bin/crontab and support crontab entries
     - Correct execution of /etc/cron.d
     - Correct support of /etc/crontab
     - Support of crontab entries with names for days and months,
       ranges, step values
     - Correct execution of /etc/cron.{hourly,daily,weekly,monthly}
    
  [ Russ Allbery ]
  * Policy: Clarify policy on named pipes in packages
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
  * Change the sole occurrence of MUST to must for consistency and to
    avoid confusion with IETF RFC keywords.  Thanks, Jakub Wilk.
    (Closes: #552757)

 -- Bill Allombert <ballombe@debian.org>  Wed, 27 Jan 2010 19:22:43 +0100

=== debian/control ===
Source: debian-policy
Section: doc
Priority: optional
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>, Russ Allbery <rra@debian.org>, Colin Watson <cjwatson@debian.org>, Bill Allombert <ballombe@debian.org>
Standards-Version: 3.8.4
Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), texlive, texlive-latex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks
Vcs-Browser: http://git.debian.org/?p=dbnpolicy/policy.git
Vcs-Git: git://git.debian.org/git/dbnpolicy/policy.git

Package: debian-policy
Architecture: all
Suggests: doc-base
Conflicts: dpkg-dev (<< 1.4.0.9), doc-base (<< 0.6), packaging-manual
Replaces: packaging-manual
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Linux Filesystem Hierarchy Standard (FHS)
    - Authoritative list of virtual package names
    - Paper about libc6 migration
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.

=== debian/rules ===
#!/usr/bin/make -f

ifdef ARCH
  ha:=-a$(ARCH)
endif

# set the dpkg-architecture vars; but we don't use them, so we'll comment out
export DEB_BUILD_ARCH      ?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_ARCH)
export DEB_BUILD_GNU_CPU   ?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_CPU)
export DEB_BUILD_GNU_SYSTEM?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_SYSTEM)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_CPU)
export DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_TYPE)

arch	:= $(shell dpkg --print-architecture)

# Basic information
package := $(shell grep Source debian/control | sed 's/^Source: //')
date	:= $(shell date +"%Y-%m-%d")
version := $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)

# either /usr/bin/emacs-snampshot or /usr/bin/emacs23
EMACS:=$(shell if [ -x /usr/bin/emacs-snapshot ]; then \
                 echo /usr/bin/emacs-snapshot;         \
               elif [ -x /usr/bin/emacs23 ]; then      \
                 echo /usr/bin/emacs23;                \
               fi)
HAVE_ORG_EMACS:=$(strip $(EMACS))


# Location of the source dir
SRCTOP	  := $(CURDIR)
TMPTOP	  := $(SRCTOP)/debian/tmp
DOCDIR	  := $(TMPTOP)/usr/share/doc/$(package)
LIBDIR	  := $(TMPTOP)/usr/share/doc-base

sanitycheck := debian/rules policy.sgml

SGML_FILES := policy menu-policy mime-policy perl-policy
DESC_FILES := debian-policy debian-menu-policy debian-perl-policy \
              debian-mime-policy debconf-spec fhs

# While we have two versions of the FHS installed in the source package,
# we need to modify this to handle it.  This is the easiest way to do it.
# FHS_ARCHIVE := $(wildcard fhs*.tar.gz)
FHS_ARCHIVE  := fhs-2.3-source.tar.gz
FHS_HTML     := fhs-2.3.html
FHS_FILES    := fhs-2.3.ps.gz fhs-2.3.txt.gz fhs-2.3.pdf.gz
FHS_NEW_ARCHIVE  := 
FHS_NEW_HTML     := 
FHS_NEW_FILES    := 

POLICY_FILES = $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz) \
	       virtual-package-names-list.txt upgrading-checklist.html \
	       upgrading-checklist.txt libc6-migration.txt version.ent \
               debconf_spec/debconf_specification.html \
               debconf_spec/debconf_specification.txt.gz \
               policy.ps.gz policy.pdf.gz README.txt README.html \
               Process.txt Process.html

# policy.{pdf,ps,tpt,txt} are generated files
FILES_TO_CLEAN  = debian/files debian/buildinfo  debian/substvars \
		  debian/postinst debian/prerm \
		  version.ent \
		  $(SGML_FILES:=.txt.gz) $(SGML_FILES:=.html.tar.gz) \
                  $(SGML_FILES:=-1.html) \
		  policy.pdf.gz policy.ps.gz \
		  debconf_specification.xml.tar.gz \
		  policy.pdf policy.ps policy.txt policy. \
		  body.tmp head.tmp policy.tpt

FILES_FROM_ORG := README.txt README.html

STAMPS_TO_CLEAN := stamp-policy stamp-build
DIRS_TO_CLEAN   := debian/tmp fhs $(SGML_FILES:=.html)


install_file    := install -p	-o root -g root	 -m  644
install_program := install -p	-o root -g root	 -m  755
make_directory  := install -p -d	-o root -g root	 -m  755


all build: stamp-build
stamp-build: version.ent $(sanitycheck) upgrading-checklist.html \
              upgrading-checklist.txt README.txt README.html \
              Process.txt Process.html
	$(MAKE) $(SGML_FILES:=.sgml.validate) \
		$(SGML_FILES:=.html.tar.gz) \
                $(SGML_FILES:=-1.html) \
		$(SGML_FILES:=.txt.gz) \
		policy.ps.gz policy.pdf.gz
ifneq (,$(strip $(HAVE_ORG_EMACS)))
	$(MAKE) $(FILES_FROM_ORG)
endif
	$(MAKE) -C debconf_spec all
	touch stamp-build

configure: version.ent
version.ent: debian/changelog
	rm -f $@
	echo "<!entity version \"$(version)\">" >> $@
	echo "<!entity date    \"$(date)\">"	>> $@

clean: $(sanitycheck)
# Undoes the effect of `make -f debian/rules build'.
	$(MAKE) -C debconf_spec clean
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS


binary:		binary-indep binary-arch
binary-arch:	build $(sanitycheck)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep:	stamp-policy
stamp-policy:  build $(sanitycheck)
	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)
#	This is unnecessary; commenting out
#	test -f stamp-build	|| $(MAKE) -f	     debian/rules build
	rm -rf			$(TMPTOP)
	$(make_directory)	$(TMPTOP)/DEBIAN
	$(make_directory)	$(DOCDIR)/fhs
	$(make_directory)	$(LIBDIR)
	# create a substvar to reference from debian/control so that
	# we don't hardcode the policy compliance of the policy
	# package.  I guess some might question this but I take it as
	# a given that the debian-policy pkg must always comply with
	# itself...
	echo "debian-policy:Version=$(version)"	     > debian/substvars
	$(install_file)	    $(POLICY_FILES)	     $(DOCDIR)/
	$(install_file)	    debian/changelog	     $(DOCDIR)/
	# Be more specific with file compression
	gzip -f9	    $(DOCDIR)/*.txt $(DOCDIR)/*.sgml \
				$(DOCDIR)/changelog
# These are allready compressed
	#$(install_file)    $(FHS_NEW_FILES)	     $(DOCDIR)/fhs/
	$(install_file)	    $(FHS_FILES)	     $(DOCDIR)/fhs/
	$(install_file)	    debian/copyright	     $(DOCDIR)/
	GZIP=-9 cd debconf_spec && \
	  tar -zcf ../debconf_specification.xml.tar.gz *
	$(install_file)	    debconf_specification.xml.tar.gz $(DOCDIR)/
	@set -ex; \
	for file in $(DESC_FILES); do \
	  $(install_file) $$file.desc $(LIBDIR)/$$file; \
	done
	@set -ex; \
	for file in $(SGML_FILES); do \
	  tar -C $(DOCDIR) -zxf $$file.html.tar.gz; \
	done
	for file in $(SGML_FILES); do \
	  $(install_file) $${file}-1.html $(DOCDIR); \
	done
	$(install_file)     $(FHS_HTML)   $(DOCDIR)/fhs
	@set -ex; \
	cd debian/tmp; \
	find . -path "./DEBIAN" -prune -o -type f -printf '%P\0' \
           | xargs -r0 md5sum > DEBIAN/md5sums
	dpkg-gencontrol	    -p$(package) -Pdebian/tmp -isp
	chown		    -R root:root debian/tmp
	chmod		    -R go=rX debian/tmp
	dpkg		    --build debian/tmp ..
	touch		    stamp-policy


.PHONY: configure build binary binary-arch binary-indep clean checkroot

#Local variables:
#mode: makefile
#End:

## debian-policy 3.9.1.0

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 policy.sgml: version.ent
 menu-policy.sgml: version.ent
 mime-policy.sgml: version.ent
+perl-policy.sgml: version.ent
 
 ifneq (,$(strip $(HAVE_ORG_EMACS)))
 %.txt: %.org
@@ -56,8 +57,7 @@
 policy: html txt ps pdf
 
 leavealone :=	$(FHS_HTML) $(FHS_FILES) $(FHS_ARCHIVE) \
-		libc6-migration.txt \
-		upgrading-checklist.html virtual-package-names-list.txt
+		libc6-migration.txt
 	      
 .PHONY: distclean
 distclean:

=== debian/changelog ===
debian-policy (3.9.1.0) unstable; urgency=low

  * Policy: Include GPL version 1 in common-licenses
    Wording: Russ Allbery <rra@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Seconded: Damyan Ivanov <dmn@debian.org>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Closes: #436105
  * Policy: Libtool *.la files should generally not be installed
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Closes: #561413
  * Policy: Require dpkg-divert --package when adding/removing diversions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Raphael Geissert <geissert@debian.org>
    Closes: #218897
  * Policy: Remove encouragement to create shlibs.local
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
  * Policy: Document alternate SONAME format with version before .so
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #509932
  * Policy: Architecture wildcards also allowed in binary relationships
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #400322
  * Policy: Say Conflicts should not be used unless necessary
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Closes: #402721
  * Policy: Remove obsolete _REENTRANT, require thread-safe libraries
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Closes: #475101
  * Policy: Allow subdirectories of /usr/lib/cgi-bin to be used
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #104373
  * Policy: More specific requirements around date-based versions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Closes: #186102
  * Policy: Require slave alternatives for manual pages
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Closes: #184064
  * Policy: More explicit requirements around library SONAMEs
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu27@gmail.com>
    Closes: #509933
  * Policy: Only dpkg-gencontrol supports variable substitutions
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #589609
  * Policy: Ada Library Information files must be read-only
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Ludovic Brenta <ludovic@ludovic-brenta.org>
    Closes: #232448
  * Policy: Recommend /etc/logrotate.d/package for logrotate rules
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Thijs Kinkhorst <thijs@debian.org>
    Closes: #445203
  * Policy: Allow /bin/sh scripts to rely on XSI for kill and trap
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Seconded: Raphael Geissert <geissert@debian.org>
    Closes: #477240
  * Policy: Ownership and permissions for control information files
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #555977
  * Set the version of the Perl Policy to match the version of the Policy
    package.
  * Explain the Perl module package naming policy more explicitly and
    provide some examples.  (Closes: #175202)
  * Revise the footnote discussing shlibs creation to not talk about the
    switch to objdump as if it were a new innovation and to explicitly
    mention the NEEDED attribute as the source of dependency information.
  * Introduce "control information file" to refer to the contents of the
    Debian package control.tar.gz, following the dpkg documentation.  Use
    that terminology consistently, and change possibly confusing
    references to fields in control files to use "control field"
    uniformly.
  * Document that the first line of the changelog entry is conventionally
    an explanation for the upload if the uploader is not the regular
    maintainer.  Patch from Charles Plessy.  (Closes: #589605)
  * Fix typo in upgrading-checklist.  (Closes: #588750)
  * Fix formatting error in footnote to 7.7.  (Closes: #589362)
  * Remove ancient Conflicts and Replaces.

 -- Russ Allbery <rra@debian.org>  Sun, 25 Jul 2010 19:38:21 -0700

debian-policy (3.9.0.0) unstable; urgency=low

  [ Colin Watson ]
  * Fix path to changelog.Debian.gz in footnote on documentation symlinks.

  [ Bill Allombert ]
  * Convert upgrading-checklist to debiandoc-sgml. This generates a better
    looking .txt file.
    Closes: #567845
  * Fix typo in package_upstream-version.orig.tar.gz.
    Thanks, Salvatore Bonaccorso. (Closes: #558430)
  * Replace 'copyright and distribution license' by 'copyright information
    and distribution license' (three times).
    Proposed by Jonathan Nieder.
    Seconded:  Steve Langasek  <vorlon@debian.org>
    Seconded:  Thijs Kinkhorst <thijs@debian.org>
    Seconded:  Julien Cristau  <jcristau@debian.org>


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Policy List <debian-policy@lists.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>, Russ Allbery <rra@debian.org>, Colin Watson <cjwatson@debian.org>, Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), texlive, texlive-latex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks
 Vcs-Browser: http://git.debian.org/?p=dbnpolicy/policy.git
 Vcs-Git: git://git.debian.org/git/dbnpolicy/policy.git
@@ -11,8 +11,6 @@
 Package: debian-policy
 Architecture: all
 Suggests: doc-base
-Conflicts: dpkg-dev (<< 1.4.0.9), doc-base (<< 0.6), packaging-manual
-Replaces: packaging-manual
 Description: Debian Policy Manual and related documents
  This package contains:
     - Debian Policy Manual

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 sanitycheck := debian/rules policy.sgml
 
-SGML_FILES := policy menu-policy mime-policy perl-policy
+SGML_FILES := policy menu-policy mime-policy perl-policy upgrading-checklist
 DESC_FILES := debian-policy debian-menu-policy debian-perl-policy \
               debian-mime-policy debconf-spec fhs
 
@@ -53,8 +53,8 @@
 FHS_NEW_FILES    := 
 
 POLICY_FILES = $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz) \
-	       virtual-package-names-list.txt upgrading-checklist.html \
-	       upgrading-checklist.txt libc6-migration.txt version.ent \
+	       virtual-package-names-list.txt \
+	       libc6-migration.txt version.ent \
                debconf_spec/debconf_specification.html \
                debconf_spec/debconf_specification.txt.gz \
                policy.ps.gz policy.pdf.gz README.txt README.html \
@@ -83,8 +83,7 @@
 
 
 all build: stamp-build
-stamp-build: version.ent $(sanitycheck) upgrading-checklist.html \
-              upgrading-checklist.txt README.txt README.html \
+stamp-build: version.ent $(sanitycheck) README.txt README.html \
               Process.txt Process.html
 	$(MAKE) $(SGML_FILES:=.sgml.validate) \
 		$(SGML_FILES:=.html.tar.gz) \

## debian-policy 3.9.2.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 mime-policy.sgml: version.ent
 perl-policy.sgml: version.ent
 
-ifneq (,$(strip $(HAVE_ORG_EMACS)))
 %.txt: %.org
 	$(EMACS) --batch -Q -l ./README-css.el -l org -l org-ascii --visit $^ \
           --funcall org-export-as-ascii >/dev/null 2>&1
@@ -14,7 +13,6 @@
 %.html: %.org
 	$(EMACS) --batch -Q -l ./README-css.el -l org --visit $^ \
           --funcall org-export-as-html-batch >/dev/null 2>&1
-endif
 
 %.validate: %
 	nsgmls -wall -gues $<

=== copyright-format/Makefile ===
all: copyright-format.txt.gz copyright-format.html

%.html: %.xml html.dsl
	jade -V nochunks -t sgml -d html.dsl \
		/usr/share/xml/declaration/xml.dcl $< > $@
	-tidy -q -i -m -f /dev/null $@

%.txt: %.html
	links -dump $< | perl -pe 's/[\r\0]//g' > $@

%.txt.gz: %.txt
	gzip -cf9 $< > $@

clean:
	rm -f *.css *.html *.txt *.txt.gz

.DELETE_ON_ERROR:

=== debian/changelog ===
debian-policy (3.9.2.0) unstable; urgency=low

  * Policy: Require human Maintainer or Uploader, clarify Maintainer
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #459868, #581011
  * Policy: Add an FHS exception on GNU/Hurd for /hurd and /servers
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #594658
  * Policy: Document DM-Upload-Allowed
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #588014
  * Policy: Update multiarch FHS exception for i386 naming
    Wording: Steve Langasek <vorlon@debian.org>
    Seconded: Aurelien Jarno <aurelien@aurel32.net>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Closes: #619186
  * Policy: Significant additions to maintainer script documentation
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #504880
  * Policy: Clarify format of Debian control fields
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #501930, #593909
  * Virtual: Added mailx as a new virtual package
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Closes: #488214
  * Be more verbose in defining the build architecture and the host
    architecture and consistently refer to architecture rather than
    machine.  (Closes: #591857)
  * Correct the name of the Filesystem Hierarchy Standard in the package
    description.  Patch from Christoph Anton Mitterer.  (Closes: #590696)
  * Use the word "implemented" to describe required targets in
    debian/rules, which is clearer about allowing wildcard rules.  List
    the required rules in their own paragraph rather than with the
    paragraph discussing non-interactivity, and explicitly mark all rules
    as either required or optional.  (Closes: #536790)
  * Update the ldconfig footnote listing the /etc/ld.so.conf directories
    to remove the libc5 compatibility directories and mention the
    multiarch triplet directories.  Based on a patch by Charles Plessy.
    (Closes: #597074)
  * Add introductory paragraphs for each archive area explaining briefly
    the purpose of that archive area.  Based on a proposal by CJ
    Fearnley.  (Closes: #594542)
  * Change all non-historical references to Debian GNU/Linux to simply
    Debian since Debian now includes FreeBSD-based architectures.  Patch
    from Guillem Jover.  (Closes: #594656)
  * Remove references to the obsolete debmake package.
  * Update the list of Policy maintainers.
  * Wrap Uploaders in debian/control.
  * Move Build-Depends-Indep to Build-Depends (there's no reason to use
    -Indep in a package that builds only architecture-independent binary
    packages), wrap it, and remove version restrictions that are older
    than the version in oldstable.
  * Add emacs23 to the build dependencies and remove the files generated
    from org source from the revision control repository.  Build and clean
    files from org source unconditionally.  Add Process.{txt,html} to the
    list of files generated from org source.  (Closes: #594274)
  * Fix URLs under www.freedesktop.org to avoid permanent redirects.
    Thanks, David Prévot.  (Closes: #606869)
  * Add a cross-reference to the Pre-Depends requirement in 3.5 to section
    7.2 where Pre-Depends is defined.  Thanks, Mattias Ellert and Jonathan
    Nieder.  (Closes: #599944)
  * Include the new (optional) copyright format that was drafted as DEP-5.
    This is not yet a final version; that's expected to come in the
    3.9.3.0 release.  Thanks to all the DEP-5 contributors and to Lars
    Wirzenius and Charles Plessy for the integration into the Policy
    package.  (Closes: #609160)

 -- Russ Allbery <rra@debian.org>  Wed, 06 Apr 2011 22:48:55 -0700

=== debian/control ===
Source: debian-policy
Section: doc
Priority: optional
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>,
 Russ Allbery <rra@debian.org>,
 Colin Watson <cjwatson@debian.org>,
 Bill Allombert <ballombe@debian.org>
Standards-Version: 3.9.2
Build-Depends: bsdmainutils, debiandoc-sgml (>= 1.1.47), docbook-dsssl,
 docbook-xml, emacs23, groff, jade, links | elinks, pstoedit, sgml-data,
 texlive, texlive-latex-extra, tidy
Vcs-Browser: http://git.debian.org/?p=dbnpolicy/policy.git
Vcs-Git: git://git.debian.org/git/dbnpolicy/policy.git

Package: debian-policy
Architecture: all
Suggests: doc-base
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Filesystem Hierarchy Standard (FHS)
    - Authoritative list of virtual package names
    - Paper about libc6 migration
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.

=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,8 @@
 date	:= $(shell date +"%Y-%m-%d")
 version := $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)
 
-# either /usr/bin/emacs-snampshot or /usr/bin/emacs23
-EMACS:=$(shell if [ -x /usr/bin/emacs-snapshot ]; then \
-                 echo /usr/bin/emacs-snapshot;         \
-               elif [ -x /usr/bin/emacs23 ]; then      \
-                 echo /usr/bin/emacs23;                \
-               fi)
-HAVE_ORG_EMACS:=$(strip $(EMACS))
-
+# Currently, emacs23 is required (xemacs is not sufficient).
+EMACS   := emacs23
 
 # Location of the source dir
 SRCTOP	  := $(CURDIR)
@@ -39,7 +33,7 @@
 sanitycheck := debian/rules policy.sgml
 
 SGML_FILES := policy menu-policy mime-policy perl-policy upgrading-checklist
-DESC_FILES := debian-policy debian-menu-policy debian-perl-policy \
+DESC_FILES := copyright-format debian-policy debian-menu-policy debian-perl-policy \
               debian-mime-policy debconf-spec fhs
 
 # While we have two versions of the FHS installed in the source package,
@@ -55,13 +49,18 @@
 POLICY_FILES = $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz) \
 	       virtual-package-names-list.txt \
 	       libc6-migration.txt version.ent \
+               copyright-format/copyright-format.html \
+               copyright-format/copyright-format.txt.gz \
                debconf_spec/debconf_specification.html \
                debconf_spec/debconf_specification.txt.gz \
                policy.ps.gz policy.pdf.gz README.txt README.html \
                Process.txt Process.html
 
+FILES_FROM_ORG := Process.html Process.txt README.txt README.html
+
 # policy.{pdf,ps,tpt,txt} are generated files
-FILES_TO_CLEAN  = debian/files debian/buildinfo  debian/substvars \
+FILES_TO_CLEAN  = copyright-format.xml.tar.gz \
+                  debian/files debian/buildinfo  debian/substvars \
 		  debian/postinst debian/prerm \
 		  version.ent \
 		  $(SGML_FILES:=.txt.gz) $(SGML_FILES:=.html.tar.gz) \
@@ -69,9 +68,8 @@
 		  policy.pdf.gz policy.ps.gz \
 		  debconf_specification.xml.tar.gz \
 		  policy.pdf policy.ps policy.txt policy. \
-		  body.tmp head.tmp policy.tpt
-
-FILES_FROM_ORG := README.txt README.html
+		  body.tmp head.tmp policy.tpt \
+		  $(FILES_FROM_ORG)
 
 STAMPS_TO_CLEAN := stamp-policy stamp-build
 DIRS_TO_CLEAN   := debian/tmp fhs $(SGML_FILES:=.html)
@@ -83,16 +81,14 @@
 
 
 all build: stamp-build
-stamp-build: version.ent $(sanitycheck) README.txt README.html \
-              Process.txt Process.html
+stamp-build: version.ent $(sanitycheck)
 	$(MAKE) $(SGML_FILES:=.sgml.validate) \
 		$(SGML_FILES:=.html.tar.gz) \
                 $(SGML_FILES:=-1.html) \
 		$(SGML_FILES:=.txt.gz) \
 		policy.ps.gz policy.pdf.gz
-ifneq (,$(strip $(HAVE_ORG_EMACS)))
 	$(MAKE) $(FILES_FROM_ORG)
-endif
+	$(MAKE) -C copyright-format all
 	$(MAKE) -C debconf_spec all
 	touch stamp-build
 
@@ -104,6 +100,7 @@
 
 clean: $(sanitycheck)
 # Undoes the effect of `make -f debian/rules build'.
+	$(MAKE) -C copyright-format clean
 	$(MAKE) -C debconf_spec clean
 	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
 	rm -rf $(DIRS_TO_CLEAN)
@@ -144,6 +141,10 @@
 	#$(install_file)    $(FHS_NEW_FILES)	     $(DOCDIR)/fhs/
 	$(install_file)	    $(FHS_FILES)	     $(DOCDIR)/fhs/
 	$(install_file)	    debian/copyright	     $(DOCDIR)/
+	GZIP=-9 cd copyright-format && \
+	  tar -zcf ../copyright-format.xml.tar.gz *
+	$(install_file)	    copyright-format.xml.tar.gz $(DOCDIR)/
+	@set -ex; \
 	GZIP=-9 cd debconf_spec && \
 	  tar -zcf ../debconf_specification.xml.tar.gz *
 	$(install_file)	    debconf_specification.xml.tar.gz $(DOCDIR)/

## debian-policy 3.9.3.1

=== debian/changelog ===
debian-policy (3.9.3.1) unstable; urgency=low

  * Fix cross-reference to control field syntax in Policy 5.4 (source
    package control files).  Thanks, Jakub Wilk.  (Closes: #661412)
  * Additional wording improvements to copyright-format 1.0 for clarity.
    Also mention that the Files pattern syntax is the same as fnmatch(3)
    and GNU find -path without [] patterns.  Thanks, Jonathan Nieder and
    Ben Finney.
  * Suggest checkbashisms from devscripts or the posh shell for checking
    whether /bin/sh scripts are Policy-compliant rather than recommending
    dash.  Thanks, Raphael Geissert.  (Closes: #490604)
  * Remove the ambiguous word "installed" when requiring that the location
    of files and directories follow the FHS.  (Closes: #638060)
  * Clarify the syntax of field names to make it clear that they may not
    contain spaces.  Thanks, Charles Plessy.  (Closes: #647645)
  * Clarify that only one of build-arch or build-indep may be provided
    (currently, at least) and that build should depend on whichever exist
    or perform the equivalent actions.  Thanks to Jonathan Nieder for some
    of the wording.  (Closes: #601839)
  * Clearly state that "yes" is the only valid value of DM-Upload-Allowed
    and rewrite its description to be less indirect.  (Closes: #622263)
  * Update the dpkg-buildpackage -r documentation in the appendix to
    reflect the current behavior of using fakeroot.  Wording from Sam
    Morris.  (Closes: #658009)
  * Fix the legal notice in copyright-format to not refer to a nonexistent
    copyright notice.
  * Embed the Debian Policy version and build date in the debconf
    specification and the copyright-format document.  We'll make
    non-normative changes without updating other version numbers, and it's
    good to know which version one is looking at.
  * Fix some whitespace issues in the debconf specification articleinfo.
  * Install the HTML version of upgrading-checklist in the policy.html
    directory as upgrading-checklist.html so that it can be deployed on
    www.debian.org in a way that will allow links to Policy sections to
    work easily.  Thanks, Charles Plessy.  (Partly addresses #639663)
  * Ship the copyright-format source as copyright-format.xml.tar.gz
    without a version, since it will include all of the versions, not just
    the current version.
  * Fix mistaken word choice (prefix instead of suffix) in the upgrading
    checklist entry for 3.9.3.0.
  * Add some missing entries to the virtual package names list changelog.
  * Expand package long description to include all documents.
  * Remove unused substitution variable generated by the build.  Thanks,
    Charles Plessy.
  * Strip down and reformat debian/rules to remove unused variables,
    references to old files no longer included, use a more standard
    layout and standardize variable names, and add comments for better
    maintainability.
  * Convert debian/copyright to copyright-format 1.0, and in the process
    add the license information for the documents other than Policy itself
    and the FHS.  Note the implication of the GPL source code requirement
    for distributing generated versions of the Policy documents.

 -- Russ Allbery <rra@debian.org>  Sun, 04 Mar 2012 15:02:12 -0800

debian-policy (3.9.3.0) unstable; urgency=low

  [ Russ Allbery ]
  * Update the copyright format document to the version of DEP-5 from the
    DEP web site and apply additional changes from subsequent discussion
    in debian-devel and debian-project.  Revise for clarity, to add more
    examples, and to update the GFDL license versions.  Thanks, Steve
    Langasek, Charles Plessy, Justin B Rye, and Jonathan Nieder.
    (Closes: #658209, #648387)
  * Publish the copyright format specification as copyright-format-1.0 so
    that later versions can be added without removing previous versions of
    the standard.  Patch from Charles Plessy.  (Closes: #646119)
  * Policy: Improve Architecture field in source package
    Wording: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #626779
  * Policy: Initial Debian maintainers need not be listed in copyright
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #593533
  * Policy: Document cron job file naming restrictions
    Wording: Karl E. Jorgensen <karl@jorgensen.org.uk>
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Dominic Hargreaves <dom@earth.li>
    Seconded: Javier Fernández-Sanguino Peña <jfs@computer.org>
    Closes: #609162
  * Policy: Document issues with conflicting packages sharing a conffile
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #23712
  * Policy: Add /run FHS exception, clarify rules for /run and /var/run
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Roger Leigh <rleigh@codelibre.net>
    Closes: #620870, #532120
  * Policy: Architecture restrictions in a dependency must be non-empty
    Wording: Stefano Zacchiroli <zack@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Colin Watson <cjwatson@debian.org>
    Closes: #498300
  * MIME Policy: Retire this document and merge it with Policy
    Wording: Ben Finney <ben+debian@benfinney.id.au>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #89038
  * Consistently use "Debian source control file" for *.dsc files and


=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Russ Allbery <rra@debian.org>,
  Colin Watson <cjwatson@debian.org>,
  Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: bsdmainutils, debiandoc-sgml (>= 1.1.47), docbook-dsssl,
  docbook-xml, emacs23, groff, jade, links | elinks, pstoedit, sgml-data,
  texlive, texlive-latex-extra, tidy
@@ -20,8 +20,12 @@
  This package contains:
     - Debian Policy Manual
     - Filesystem Hierarchy Standard (FHS)
+    - Debian Menu sub-policy
+    - Debian Perl sub-policy
+    - Debian configuration management specification
+    - Machine-readable debian/copyright specification
     - Authoritative list of virtual package names
+    - Policy checklist for upgrading your packages
     - Paper about libc6 migration
-    - Policy checklist for upgrading your packages
  It also replaces the old Packaging Manual; most of the still-relevant
  content is now included as appendices to the Policy Manual.

## debian-policy 3.9.4.0

=== debian/changelog ===
debian-policy (3.9.4.0) unstable; urgency=low

  * build-arch and build-indep are now mandatory targets in debian/rules,
    implementing the Technical Committee ruling in #629385.  Wording
    review by Jonathan Nieder, Jakub Wilk, and Roger Leigh.
    (Closes: #374029)
  * Resynchronize the archive section list with ftp-master, adding tasks.
    Patch from Charles Plessy.  (Closes: #670429)
  * Policy: Copyright files must be encoded in UTF-8
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Salvatore Bonaccorso <carnil@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Closes: #661933
  * Policy: Prohibit deprecated < and > relations
    Wording: Jakub Wilk <jwilk@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #663918
  * Policy: Document the Built-Using field
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #641153
  * Policy: Document the Vcs-* fields
    Wording: Charles Plessy <plessy@debian.org>
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #654958
  * Policy: Document restrictions on the use of /run for wheezy
    Wording: Roger Leigh <rleigh@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #676561
  * Policy: Rewrite shared library dependency policy to document symbols
    Wording: Russ Allbery <rra@debian.org>
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #571776
  * Policy: Document generic and upstart-specific init system requirements
    Wording: Steve Langasek <steve.langasek@canonical.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Adam D. Barratt <adam@adam-barratt.org.uk>
    Closes: #591791
  * Policy: Rely on triggers instead of calling update-mime
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #661816

 -- Russ Allbery <rra@debian.org>  Tue, 18 Sep 2012 21:35:36 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Russ Allbery <rra@debian.org>,
  Colin Watson <cjwatson@debian.org>,
  Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: bsdmainutils, debiandoc-sgml (>= 1.1.47), docbook-dsssl,
  docbook-xml, emacs23, groff, jade, links | elinks, pstoedit, sgml-data,
  texlive, texlive-latex-extra, tidy
